Paddle = Class{}

function Paddle:init(x, y, width, height)
	self.x = x
	self.y = y 
	self.width = width 
	self.height = height 
	self.dy = 0
end

function Paddle:reset1()
	self.x = 5
	self.y = 20
	self.width = 5
	self.height = 20
end

function Paddle:reset2()
	self.x = VIRTUAL_WIDTH - 10
	self.y = VIRTUAL_HEIGHT - 40
	self.width = 5
	self.height = 20
end

function Paddle:update(dt)
	if self.dy < 0 then 
		self.y = math.max(0, self.y + self.dy * dt) 
	elseif self.dy > 0 then
		self.y = math.min(self.y + self.dy * dt, VIRTUAL_HEIGHT - self.height)
	end
end

function Paddle:render()
	love.graphics.rectangle("fill", self.x, self.y, self.width, self.height)
end